## amf-dmo 1.4.21

=== amf/public/samples/CPPSamples/EncoderLatency/Makefile ===
#
# MIT license 
#
#
# Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

amf_root = ../../../..

include $(amf_root)/public/make/common_defs.mak

target_name = EncoderLatency

pp_include_dirs = $(amf_root)

src_files = \
    public/samples/CPPSamples/EncoderLatency/EncoderLatency.cpp \
    public/samples/CPPSamples/SurfaceGenerator.cpp \
    $(public_common_dir)/AMFFactory.cpp \
    $(public_common_dir)/AMFSTL.cpp \
    $(public_common_dir)/DataStreamFactory.cpp \
    $(public_common_dir)/DataStreamFile.cpp \
    $(public_common_dir)/DataStreamMemory.cpp \
    $(public_common_dir)/Thread.cpp \
    $(public_common_dir)/TraceAdapter.cpp \
    $(public_common_dir)/Linux/ThreadLinux.cpp
    $(samples_common_dir)/CmdLogger.cpp \
    $(samples_common_dir)/CmdLineParser.cpp \
    $(samples_common_dir)/ParametersStorage.cpp \

include $(amf_root)/public/make/common_rules.mak

=== amf/public/samples/CPPSamples/SimpleROI/Makefile ===
#
# MIT license 
#
#
# Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

amf_root = ../../../..

include $(amf_root)/public/make/common_defs.mak

target_name = SimpleROI

pp_include_dirs = $(amf_root)

src_files = \
    public/samples/CPPSamples/SimpleROI/SimpleROI.cpp \
    $(samples_common_dir)/BitStreamParser.cpp \
    $(samples_common_dir)/BitStreamParserIVF.cpp \
    $(samples_common_dir)/BitStreamParserH264.cpp \
    $(samples_common_dir)/BitStreamParserH265.cpp \
    $(public_common_dir)/AMFFactory.cpp \
    $(public_common_dir)/AMFSTL.cpp \
    $(public_common_dir)/DataStreamFactory.cpp \
    $(public_common_dir)/DataStreamFile.cpp \
    $(public_common_dir)/DataStreamMemory.cpp \
    $(public_common_dir)/Thread.cpp \
    $(public_common_dir)/TraceAdapter.cpp \
    $(public_common_dir)/Linux/ThreadLinux.cpp

include $(amf_root)/public/make/common_rules.mak

=== debian/changelog ===
amf-dmo (1.4.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Jul 2021 07:31:37 +0200

amf-dmo (1.4.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 May 2021 15:35:07 +0200

amf-dmo (1.4.16.1-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Jun 2020 10:22:05 +0200

=== debian/control ===
Source: amf-dmo
Section: libdevel
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://gpuopen.com/advanced-media-framework/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13)

Package: amf-codec-headers
Architecture: all
Depends: ${misc:Depends}
Description: Advanced Media Framework (AMF) header files.
 AMF is a light-weight, portable multimedia framework that abstracts away
 most of the platform and API-specific details and allows for easy
 implementation of multimedia applications using a variety of technologies,
 such as DirectX 11, OpenGL, and OpenCL and facilitates an efficient interop
 between them.

=== debian/watch ===
version=4

https://github.com/GPUOpen-LibrariesAndSDKs/AMF/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## amf-dmo 1.4.26

=== amf/public/samples/CPPSamples/EncoderLatency/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 src_files = \
     public/samples/CPPSamples/EncoderLatency/EncoderLatency.cpp \
-    public/samples/CPPSamples/SurfaceGenerator.cpp \
+    public/samples/CPPSamples/EncoderLatency/SurfaceGenerator.cpp \
     $(public_common_dir)/AMFFactory.cpp \
     $(public_common_dir)/AMFSTL.cpp \
     $(public_common_dir)/DataStreamFactory.cpp \
@@ -41,9 +41,12 @@
     $(public_common_dir)/DataStreamMemory.cpp \
     $(public_common_dir)/Thread.cpp \
     $(public_common_dir)/TraceAdapter.cpp \
-    $(public_common_dir)/Linux/ThreadLinux.cpp
+    $(public_common_dir)/Linux/ThreadLinux.cpp \
     $(samples_common_dir)/CmdLogger.cpp \
     $(samples_common_dir)/CmdLineParser.cpp \
     $(samples_common_dir)/ParametersStorage.cpp \
+    $(samples_common_dir)/RawStreamReader.cpp \
+    $(samples_common_dir)/EncoderParamsAVC.cpp \
+    $(samples_common_dir)/EncoderParamsHEVC.cpp \
 
 include $(amf_root)/public/make/common_rules.mak

=== amf/public/samples/CPPSamples/TranscodeHW/Makefile ===
#
# MIT license 
#
#
# Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

amf_root = ../../../..

include $(amf_root)/public/make/common_defs.mak

target_name = TranscodeHW
target_type = exe

pp_include_dirs = \
 $(amf_root) \
 $(VK_SDK_PATH)/x86_64/include

src_files = \
    public/samples/CPPSamples/TranscodeHW/TranscodeHW.cpp \
    $(public_common_dir)/AMFFactory.cpp \
    $(public_common_dir)/AMFSTL.cpp \
    $(public_common_dir)/DataStreamFactory.cpp \
    $(public_common_dir)/DataStreamFile.cpp \
    $(public_common_dir)/DataStreamMemory.cpp \
    $(public_common_dir)/Thread.cpp \
    $(public_common_dir)/TraceAdapter.cpp \
    $(public_common_dir)/IOCapsImpl.cpp \
    $(public_common_dir)/PropertyStorageExImpl.cpp \
    $(public_common_dir)/Linux/ThreadLinux.cpp \
    $(public_common_dir)/VulkanImportTable.cpp \
    $(samples_common_dir)/BackBufferPresenter.cpp \
    $(samples_common_dir)/BitStreamParser.cpp \
    $(samples_common_dir)/BitStreamParserH264.cpp \
    $(samples_common_dir)/BitStreamParserH265.cpp \
    $(samples_common_dir)/BitStreamParserIVF.cpp \
    $(samples_common_dir)/RawStreamReader.cpp \
    $(samples_common_dir)/CmdLogger.cpp \
    $(samples_common_dir)/DeviceVulkan.cpp \
    $(samples_common_dir)/CmdLineParser.cpp \
    $(samples_common_dir)/EncoderParamsAVC.cpp \
    $(samples_common_dir)/EncoderParamsHEVC.cpp \
    $(samples_common_dir)/ParametersStorage.cpp \
    $(samples_common_dir)/Pipeline.cpp \
    $(samples_common_dir)/PreProcessingParams.cpp \
    $(samples_common_dir)/TranscodePipeline.cpp \
    $(samples_common_dir)/SwapChainVulkan.cpp \
    $(samples_common_dir)/VideoPresenter.cpp \
    $(samples_common_dir)/VideoPresenterOpenGL.cpp \
    $(samples_common_dir)/VideoPresenterVulkan.cpp \


shader_file = \
    quad.frag \
    quad.vert

include $(amf_root)/public/make/common_rules.mak

=== amf/public/samples/CPPSamples/VCEEncoderD3D/Makefile ===
#
# MIT license 
#
#
# Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

amf_root = ../../../..

include $(amf_root)/public/make/common_defs.mak

target_name = VCEEncoderD3D
target_type = exe

pp_include_dirs = \
 $(amf_root) \
 $(VK_SDK_PATH)/x86_64/include
 
 sample_path = public/samples/CPPSamples/VCEEncoderD3D

src_files = \
    $(public_common_dir)/AMFFactory.cpp \
    $(public_common_dir)/AMFSTL.cpp \
    $(public_common_dir)/DataStreamFactory.cpp \
    $(public_common_dir)/DataStreamFile.cpp \
    $(public_common_dir)/DataStreamMemory.cpp \
    $(public_common_dir)/Thread.cpp \
    $(public_common_dir)/Linux/ThreadLinux.cpp \
    $(public_common_dir)/TraceAdapter.cpp \
    $(public_common_dir)/VulkanImportTable.cpp \
    $(samples_common_dir)/CmdLogger.cpp \
    $(samples_common_dir)/CmdLineParser.cpp \
    $(samples_common_dir)/DeviceVulkan.cpp \
    $(samples_common_dir)/EncoderParamsAVC.cpp \
    $(samples_common_dir)/EncoderParamsHEVC.cpp \
    $(samples_common_dir)/ParametersStorage.cpp \
    $(samples_common_dir)/Pipeline.cpp \
    $(samples_common_dir)/SwapChainVulkan.cpp \
    $(sample_path)/VCEEncoderD3D.cpp \
    $(sample_path)/RenderEncodePipeline.cpp \
    $(sample_path)/RenderWindow.cpp \
    $(sample_path)/VideoRender.cpp \
    $(sample_path)/VideoRenderHost.cpp \
    $(sample_path)/VideoRenderVulkan.cpp \


shader_sources = \
    cube.frag \
    cube.vert

include $(amf_root)/public/make/common_rules.mak

# compile Vulkan shaders

define shader_compile_rule_fn
all: $$(bin_dir)/$1.spv

$$(bin_dir)/$1.spv: $$(amf_root)/$$(sample_path)/$1
	$$(VK_SDK_PATH)/x86_64/bin/glslangValidator -V "$$<" -o "$$@"
endef

$(foreach shader_file,$(shader_sources),\
    $(eval $(call shader_compile_rule_fn,$(shader_file)))\
)

clean: 
	$(foreach clean_file,$(shader_sources),\
		$(RM) $(bin_dir)/$(clean_file).spv\
	)

=== amf/public/src/components/ComponentsFFMPEG/Makefile ===
#
# MIT license 
#
#
# Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

amf_root = ../../../..

include $(amf_root)/public/make/common_defs.mak

target_name = amf-component-ffmpeg
target_type = so

uname_p := $(shell uname -p)
  ifeq ($(uname_p),aarch64)
  platform_name=arm
  else
  platform_name=lnx
endif

ffmpeg_dir = $(amf_root)/../Thirdparty/ffmpeg/ffmpeg-4.3.2/$(platform_name)$(host_bits)/release

pp_defines += \
  AMF_COMPONENT_FFMPEG_EXPORTS

cxx_flags += \
 -Wno-deprecated-declarations \
 -Wno-error=attributes


pp_include_dirs = $(amf_root) \
  $(ffmpeg_dir)/include

ffmpeg_libs = \
  libavcodec.so.58 \
  libavdevice.so.58 \
  libavfilter.so.7 \
  libavformat.so.58 \
  libavresample.so.4 \
  libavutil.so.56 \
  libswresample.so.3 \
  libswscale.so.5

linker_libs += $(patsubst %,:"%",$(ffmpeg_libs))

linker_dirs += \
 $(ffmpeg_dir)/bin

src_files = \
    $(public_common_dir)/AMFFactory.cpp \
    $(public_common_dir)/AMFSTL.cpp \
    $(public_common_dir)/DataStreamFactory.cpp \
    $(public_common_dir)/DataStreamFile.cpp \
    $(public_common_dir)/DataStreamMemory.cpp \
    $(public_common_dir)/Thread.cpp \
    $(public_common_dir)/TraceAdapter.cpp \
    $(public_common_dir)/IOCapsImpl.cpp \
    $(public_common_dir)/PropertyStorageExImpl.cpp \
    $(public_common_dir)/Linux/ThreadLinux.cpp \
    public/src/components/ComponentsFFMPEG/AudioConverterFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/AudioDecoderFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/AudioEncoderFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/VideoDecoderFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/ComponentFactory.cpp \
    public/src/components/ComponentsFFMPEG/FileDemuxerFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/FileMuxerFFMPEGImpl.cpp \
    public/src/components/ComponentsFFMPEG/H264Mp4ToAnnexB.cpp \
    public/src/components/ComponentsFFMPEG/UtilsFFMPEG.cpp

#execute rules

include $(amf_root)/public/make/common_rules.mak

# copy FFmpeg SO libs

define copy_rule_fn
all: $$(bin_dir)/$1

$$(bin_dir)/$1: $$(ffmpeg_dir)/bin/$1
	$$(COPY) -f $$< $$@
endef

$(foreach copy_file,$(ffmpeg_libs),\
    $(eval $(call copy_rule_fn,$(copy_file)))\
)

clean: 
	$(foreach clean_file,$(ffmpeg_libs),\
		$(RM) $(bin_dir)/$(clean_file)\
	)

=== debian/changelog ===
amf-dmo (1.4.26-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Aug 2022 15:22:06 +0200

amf-dmo (1.4.24-dmo0~bpo11+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Apr 2022 09:57:02 +0200

## amf-dmo 1.4.29

=== amf/public/samples/CPPSamples/EncoderLatency/Makefile ===
--- 
+++ 
@@ -48,5 +48,6 @@
     $(samples_common_dir)/RawStreamReader.cpp \
     $(samples_common_dir)/EncoderParamsAVC.cpp \
     $(samples_common_dir)/EncoderParamsHEVC.cpp \
+	$(samples_common_dir)/EncoderParamsAV1.cpp \
 
 include $(amf_root)/public/make/common_rules.mak

=== debian/changelog ===
amf-dmo (1.4.29-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Jan 2023 16:36:41 +0100

amf-dmo (1.4.28-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Dec 2022 14:18:59 +0100

amf-dmo (1.4.26-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 27 Jul 2022 00:33:01 +0200

amf-dmo (1.4.24-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Mar 2022 09:06:23 +0100

amf-dmo (1.4.23-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Dec 2021 08:44:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gpuopen.com/advanced-media-framework/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13)
 
 Package: amf-codec-headers

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_install  amf/public/include/*	usr/include/AMF

override_dh_clean:
	-rm -rf Thirdparty

	dh_clean

## amf-dmo 1.4.35

=== debian/changelog ===
amf-dmo (1.4.35-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Dec 2024 10:17:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gpuopen.com/advanced-media-framework/
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13)

=== debian/watch ===
version=4

opts=repack \
https://github.com/GPUOpen-LibrariesAndSDKs/AMF/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## amf-dmo 1.4.36.0

=== debian/changelog ===
amf-dmo (1.4.36.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Mar 2025 16:23:04 +0100

amf-dmo (1.4.36-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Feb 2025 08:37:26 +0100

amf-dmo (1.4.35-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Oct 2024 08:53:25 +0200

amf-dmo (1.4.34-dmo1) unstable; urgency=medium

  * New upstream release. 

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Jun 2024 01:33:53 +0200

amf-dmo (1.4.33-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Jan 2024 08:38:47 +0100

amf-dmo (1.4.32-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Dec 2023 08:50:19 +0100

amf-dmo (1.4.30-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jul 2023 08:54:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gpuopen.com/advanced-media-framework/
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13)
 
 Package: amf-codec-headers

## amf-dmo 1.5.0

=== amf/public/samples/CPPSamples/EncoderLatency/Makefile ===
--- 
+++ 
@@ -29,11 +29,12 @@
 
 target_name = EncoderLatency
 
-pp_include_dirs = $(amf_root)
+pp_include_dirs = $(amf_root) \
+    $(VULKAN_SDK)/include
 
 src_files = \
     public/samples/CPPSamples/EncoderLatency/EncoderLatency.cpp \
-    public/samples/CPPSamples/EncoderLatency/SurfaceGenerator.cpp \
+    public/samples/CPPSamples/common/SurfaceGenerator.cpp \
     $(public_common_dir)/AMFFactory.cpp \
     $(public_common_dir)/AMFSTL.cpp \
     $(public_common_dir)/DataStreamFactory.cpp \
@@ -42,12 +43,14 @@
     $(public_common_dir)/Thread.cpp \
     $(public_common_dir)/TraceAdapter.cpp \
     $(public_common_dir)/Linux/ThreadLinux.cpp \
+    $(public_common_dir)/VulkanImportTable.cpp \
     $(samples_common_dir)/CmdLogger.cpp \
     $(samples_common_dir)/CmdLineParser.cpp \
     $(samples_common_dir)/ParametersStorage.cpp \
     $(samples_common_dir)/RawStreamReader.cpp \
     $(samples_common_dir)/EncoderParamsAVC.cpp \
     $(samples_common_dir)/EncoderParamsHEVC.cpp \
-	$(samples_common_dir)/EncoderParamsAV1.cpp \
+    $(samples_common_dir)/EncoderParamsAV1.cpp \
+    $(samples_common_dir)/DeviceVulkan.cpp
 
 include $(amf_root)/public/make/common_rules.mak

=== amf/public/samples/CPPSamples/PlaybackHW/Makefile ===
#
# MIT license
#
#
# Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

amf_root = ../../../..

include $(amf_root)/public/make/common_defs.mak

target_name = PlaybackHW
target_type = exe

pp_include_dirs = \
    $(amf_root) \
    $(VULKAN_SDK)/include \
    $(build_dir) \

 linker_libs += asound

src_files = \
    public/samples/CPPSamples/PlaybackHW/PlaybackHW.cpp \
    $(public_common_dir)/AMFFactory.cpp \
    $(public_common_dir)/AMFSTL.cpp \
    $(public_common_dir)/DataStreamFactory.cpp \
    $(public_common_dir)/DataStreamFile.cpp \
    $(public_common_dir)/DataStreamMemory.cpp \
    $(public_common_dir)/Thread.cpp \
    $(public_common_dir)/TraceAdapter.cpp \
    $(public_common_dir)/IOCapsImpl.cpp \
    $(public_common_dir)/PropertyStorageExImpl.cpp \
    $(public_common_dir)/VulkanImportTable.cpp \
    $(public_common_dir)/OpenGLImportTable.cpp \
    $(public_common_dir)/Linux/ThreadLinux.cpp \
    $(samples_common_dir)/AudioPresenter.cpp \
    $(samples_common_dir)/AudioPresenterWin.cpp \
    $(samples_common_dir)/AudioPresenterLinux.cpp \
    $(samples_common_dir)/BitStreamParser.cpp \
    $(samples_common_dir)/BitStreamParserH264.cpp \
    $(samples_common_dir)/BitStreamParserH265.cpp \
    $(samples_common_dir)/BitStreamParserIVF.cpp \
    $(samples_common_dir)/CmdLogger.cpp \
    $(samples_common_dir)/CmdLineParser.cpp \
    $(samples_common_dir)/ParametersStorage.cpp \
    $(samples_common_dir)/Pipeline.cpp \
    $(samples_common_dir)/PlaybackPipeline.cpp \
    $(samples_common_dir)/PlaybackPipelineBase.cpp \
    $(samples_common_dir)/SwapChain.cpp \
    $(samples_common_dir)/SwapChainVulkan.cpp \
    $(samples_common_dir)/SwapChainOpenGL.cpp \
    $(samples_common_dir)/VideoPresenter.cpp \
    $(samples_common_dir)/VideoPresenterOpenGL.cpp \
    $(samples_common_dir)/VideoPresenterVulkan.cpp \

vulkan_shader_sources = \
    $(amf_root)/$(samples_common_dir)/QuadVulkan_fs.frag \
    $(amf_root)/$(samples_common_dir)/QuadVulkan_vs.vert

include $(amf_root)/public/make/common_rules.mak

$(build_dir)/public/samples/CPPSamples/common/VideoPresenterVulkan.o : $(vulkan_shader_headers)

=== amf/public/samples/CPPSamples/SimplePA/Makefile ===
#
# MIT license 
#
#
# Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

amf_root = ../../../..

include $(amf_root)/public/make/common_defs.mak

target_name = SimplePA

pp_include_dirs = $(amf_root)

src_files = \
    public/samples/CPPSamples/SimplePA/SimplePA.cpp \
    public/samples/CPPSamples/common/SurfaceGenerator.cpp \
    $(public_common_dir)/AMFFactory.cpp \
    $(public_common_dir)/AMFSTL.cpp \
    $(public_common_dir)/DataStreamFactory.cpp \
    $(public_common_dir)/DataStreamFile.cpp \
    $(public_common_dir)/DataStreamMemory.cpp \
    $(public_common_dir)/Thread.cpp \
    $(public_common_dir)/TraceAdapter.cpp \
    $(public_common_dir)/Linux/ThreadLinux.cpp

include $(amf_root)/public/make/common_rules.mak

=== amf/public/samples/CPPSamples/VCEEncoderD3D/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# MIT license 
+# MIT license
 #
 #
 # Copyright (c) 2018 Advanced Micro Devices, Inc. All rights reserved.
@@ -32,8 +32,8 @@
 
 pp_include_dirs = \
  $(amf_root) \
- $(VK_SDK_PATH)/x86_64/include
- 
+ $(VULKAN_SDK)/include
+
  sample_path = public/samples/CPPSamples/VCEEncoderD3D
 
 src_files = \
@@ -51,8 +51,10 @@
     $(samples_common_dir)/DeviceVulkan.cpp \
     $(samples_common_dir)/EncoderParamsAVC.cpp \
     $(samples_common_dir)/EncoderParamsHEVC.cpp \
+    $(samples_common_dir)/EncoderParamsAV1.cpp \
     $(samples_common_dir)/ParametersStorage.cpp \
     $(samples_common_dir)/Pipeline.cpp \
+    $(samples_common_dir)/SwapChain.cpp \
     $(samples_common_dir)/SwapChainVulkan.cpp \
     $(sample_path)/VCEEncoderD3D.cpp \
     $(sample_path)/RenderEncodePipeline.cpp \
@@ -74,14 +76,14 @@
 all: $$(bin_dir)/$1.spv
 
 $$(bin_dir)/$1.spv: $$(amf_root)/$$(sample_path)/$1
-	$$(VK_SDK_PATH)/x86_64/bin/glslangValidator -V "$$<" -o "$$@"
+	$$(VK_SDK_PATH)/bin/glslangValidator -V "$$<" -o "$$@"
 endef
 
 $(foreach shader_file,$(shader_sources),\
     $(eval $(call shader_compile_rule_fn,$(shader_file)))\
 )
 
-clean: 
+clean:
 	$(foreach clean_file,$(shader_sources),\
 		$(RM) $(bin_dir)/$(clean_file).spv\
 	)

=== amf/public/src/components/ComponentsFFMPEG/Makefile ===
--- 
+++ 
@@ -30,15 +30,6 @@
 target_name = amf-component-ffmpeg
 target_type = so
 
-uname_p := $(shell uname -p)
-  ifeq ($(uname_p),aarch64)
-  platform_name=arm
-  else
-  platform_name=lnx
-endif
-
-ffmpeg_dir = $(amf_root)/../Thirdparty/ffmpeg/ffmpeg-4.3.2/$(platform_name)$(host_bits)/release
-
 pp_defines += \
   AMF_COMPONENT_FFMPEG_EXPORTS
 
@@ -46,19 +37,17 @@
  -Wno-deprecated-declarations \
  -Wno-error=attributes
 
-
 pp_include_dirs = $(amf_root) \
   $(ffmpeg_dir)/include
 
 ffmpeg_libs = \
-  libavcodec.so.58 \
-  libavdevice.so.58 \
-  libavfilter.so.7 \
-  libavformat.so.58 \
-  libavresample.so.4 \
-  libavutil.so.56 \
-  libswresample.so.3 \
-  libswscale.so.5
+  libavcodec.so.61 \
+  libavdevice.so.61 \
+  libavfilter.so.10 \
+  libavformat.so.61 \
+  libavutil.so.59 \
+  libswresample.so.5 \
+  libswscale.so.8
 
 linker_libs += $(patsubst %,:"%",$(ffmpeg_libs))
 
@@ -80,6 +69,10 @@
     public/src/components/ComponentsFFMPEG/AudioDecoderFFMPEGImpl.cpp \
     public/src/components/ComponentsFFMPEG/AudioEncoderFFMPEGImpl.cpp \
     public/src/components/ComponentsFFMPEG/VideoDecoderFFMPEGImpl.cpp \
+	public/src/components/ComponentsFFMPEG/BaseEncoderFFMPEGImpl.cpp \
+    public/src/components/ComponentsFFMPEG/H264EncoderFFMPEGImpl.cpp \
+    public/src/components/ComponentsFFMPEG/HEVCEncoderFFMPEGImpl.cpp \
+    public/src/components/ComponentsFFMPEG/AV1EncoderFFMPEGImpl.cpp \
     public/src/components/ComponentsFFMPEG/ComponentFactory.cpp \
     public/src/components/ComponentsFFMPEG/FileDemuxerFFMPEGImpl.cpp \
     public/src/components/ComponentsFFMPEG/FileMuxerFFMPEGImpl.cpp \

=== debian/changelog ===
amf-dmo (1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Oct 2025 01:45:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gpuopen.com/advanced-media-framework/
-Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_install  amf/public/include/*	usr/include/AMF

=== debian/watch ===
version=4

https://github.com/GPUOpen-LibrariesAndSDKs/AMF/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
